/*								    *\
 fun_invstrinv.h	versin 1.0	25 de octubre de 2005

 Este fichero define macros para declarar y definir las funciones
 invstrinv() e iwcsinv() que se definen en invstrinv.c . Vea ese
 fichero para ver qu otros ficheros se acompaan.

 -----
 (c) Noel Torres, 2005
 * Para ver los trminos de la Licencia, vea el fichero invstrinv.c
 que acompaa.
 * Si se distribuyere este fichero sin el fichero invstrinv.c se
 deber adjuntar la Licencia all expresada.
 -----

\*								    */

#if INVSTRINV_CHAR == 1 /* Conjunto de funciones de caracteres
							  normales. */
# define fun_char char /* Tipo de datos */
# define fun_invstrinv invstrinv /* Nombre de la funcin */
# define fun_strlen strlen /* Funcin de longitud de cadena */
# define fun_cero '\0' /* Marcador de final de cadena */
# include <string.h> /* Cabecera donde se define la funcin de
						 longitud de cadena */
#endif /* INVSTRINV_CHAR == 1 */

#if INVSTRINV_CHAR == 4 /* Conjunto de funciones de caracteres
							    anchos. */
# define fun_char wchar_t /* Tipo de datos */
# define fun_invstrinv iwcsinv /* Nombre de la funcin */
# define fun_strlen wcslen /* Funcin de longitud de cadena */
# define fun_cero (wchar_t)L'\0' /* Marcador de final de cadena */
# include <wchar.h> /* Cabecera donde se define la funcin de longitud
							  de cadena */
#endif /* INVSTRINV_CHAR == 4 */
